<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="sifdecode" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns5="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>17-Mar-2003</pubdate>
  </info>

  <refnamediv>
    <refname>sifdecode</refname>

    <refpurpose>decode a SIF problem</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>sifdecode(Pathin,Pathout [,opts])</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>

    <variablelist>
      <varlistentry>
        <term>Pathin</term>

        <listitem>
          <para>string, path of the SIF file</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>Pathout</term>

        <listitem>
          <para>string, path of the directory where the problem files will be
          created</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>opts</term>

        <listitem>
          <para>vector [algo print diff ad prec], default value is 
	  <literal>[3 0 0 2 1]</literal></para>

          <variablelist>
            <varlistentry>
              <term>algo</term>

              <listitem>
                <para>integer, specify the targeted solver.</para>
		<para>1 : for the SBMIN LANCELOT solver.</para>
		<para>2 : for the AUGLD LANCELOT solver.</para>
                <para>3 : generic solver.</para>
              </listitem>
            </varlistentry>

            <varlistentry>
              <term>print</term>

              <listitem>
                <para>integer, specify whether the problem should be
                described( negative value: DEBUG,zero:NO,positive
                value:YES)</para>
              </listitem>
            </varlistentry>

            <varlistentry>
              <term>diff</term>

              <listitem>
                <para>integer, specify whether the derivatives are supplied or
                are to be computed using automatic differentiation</para>
		<para>0 : the derivatives are provided</para>
		<para>1 : derivatives are generated by forward automatic differentiation. </para>
		<para>2 : derivatives are generated by backward automatic differentiation.</para>
		<para>Two later cases requires the HSL_AD01 (ad=1) or
		HSL_AD02 (ad=2) libraries to be able to build and
		execute the generated code .</para>
	      </listitem>
            </varlistentry>

            <varlistentry>
              <term>ad</term>

              <listitem>
                <para>integer, specify the HSL_AD library to be used:</para>
		<para>0 : no  HSL_AD library used</para>
		<para>1 : generated code uses HSL_AD01.</para>
		<para>2 : generated code uses HSL_AD02.</para>

              </listitem>
            </varlistentry>

            <varlistentry>
              <term>prec</term>

              <listitem>
                <para>integer, Specify the precision of the output
                files</para>
		<para> 0 stands for single precision (cannot be used
		if codes are intended to be used with Scilab).</para>
		<para> 1 stands for double precision (required for Scilab).</para>

              </listitem>
            </varlistentry>
          </variablelist>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>Given a SIF (Standard Input Format) file</para>

    <para><literal>sifdecode(Pathin,Pathout [,opts])</literal> generates
    associated Fortran routines <literal>RANGE.f</literal>,
    <literal>EXTER.f</literal>,<literal> ELFUN.f</literal>,
    <literal>GROUP.f</literal> and if automatic differentiation is required
    <literal>ELFUND.f</literal>, <literal>GROUPD.f</literal>,<literal>
    EXTERA.f</literal></para>

    <para>An associated data file named <literal>OUTSDIF.d</literal> and an
    Output messages file <literal>OUTMESS</literal> are also generated. All
    these files are created in the directory whose path is given in
    <literal>Pathout</literal></para>

    <para>The <literal>sifdecode</literal> function is based on the Sifdec
    code (<ulink url="http://hsl.rl.ac.uk/cuter-www/sifdec">sifdec</ulink>). More precisely it
    results of an interface of SDLANC Fortran procedure.</para>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
      <member><link linkend="sifselect"> sifselect </link></member>

      <member><link linkend="buildprob"> buildprob </link></member>
    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <para>Serge Steer, INRIA</para>
  </refsection>
  <refsection>
    <title>References</title>
    <member><ulink url="http://www.cse.scitech.ac.uk/nag/lancelot">LANCELOT</ulink></member>
    <member><ulink url="http://hsl.rl.ac.uk/cuter-www/">CUTEr</ulink></member>
   <member><ulink url="http://hsl.rl.ac.uk/cuter-www/sifdec">sifdec</ulink></member>
   <member><ulink url="ftp://ftp.numerical.rl.ac.uk/pub/cuter">sif files repository</ulink></member>
   <member><ulink url="ftp://ftp.numerical.rl.ac.uk/pub/cuter">sif files repository</ulink></member>

 </refsection>
</refentry>
